Subsystem
Date: 2019-10-22

org.jmol.adapter.readers.cif

## Class Subsystem

- java.lang.Object
- - org.jmol.adapter.readers.cif.Subsystem

-     class Subsystem
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `code`
    `private int` | `d`
    `private boolean` | `isFinalized`
    `private javajs.util.Matrix[]` | `modMatrices`
    `private MSRdr` | `msRdr`
    `private SymmetryInterface` | `symmetry`
    `private javajs.util.Matrix` | `w`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Subsystem(MSRdr msRdr, java.lang.String code, javajs.util.Matrix w)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javajs.util.Matrix[]` | `getModMatrices()`
    `SymmetryInterface` | `getSymmetry()`
    `private boolean` | `isMixed(javajs.util.Matrix r)`
    `private void` | `setSymmetry(boolean setOperators)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### msRdr

          private MSRdr msRdr

    - #### code

          private java.lang.String code

    - #### d

          private int d

    - #### w

          private javajs.util.Matrix w

    - #### symmetry

          private SymmetryInterface symmetry

    - #### modMatrices

          private javajs.util.Matrix[] modMatrices

    - #### isFinalized

          private boolean isFinalized

  - ### Constructor Detail

    - #### Subsystem

          Subsystem(MSRdr msRdr,
                    java.lang.String code,
                    javajs.util.Matrix w)

  - ### Method Detail

    - #### getSymmetry

          public SymmetryInterface getSymmetry()

    - #### getModMatrices

          public javajs.util.Matrix[] getModMatrices()

    - #### setSymmetry

          private void setSymmetry(boolean setOperators)

    - #### isMixed

          private boolean isMixed(javajs.util.Matrix r)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`